Bug 220045 - [Stratus RHEL 4.5 bug] snmpd crashes on unacknowledged informs
[Stratus RHEL 4.5 bug] snmpd crashes on unacknowledged informs
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: net-snmp (Show other bugs)
4.4
All Linux
medium Severity high
: ---
: ---
Assigned To: Radek Vokal
http://sourceforge.net/tracker/index....
:
Depends On:
Blocks: 217115
  Show dependency treegraph
 
Reported: 2006-12-18 11:50 EST by brandon chubb
Modified: 2007-11-16 20:14 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0183
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 13:33:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch using agent_trap.c CVS version 5.8.2.9 (2.12 KB, patch)
2006-12-18 11:50 EST, brandon chubb
no flags Details | Diff
CVS log for agent_trap.c (32.93 KB, application/octet-stream)
2006-12-18 22:53 EST, brandon chubb
no flags Details

  None (edit)
Description brandon chubb 2006-12-18 11:50:06 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 brandon chubb 2006-12-18 11:50:06 EST
Created attachment 143913 [details]
Patch using agent_trap.c CVS version 5.8.2.9
Comment 2 brandon chubb 2006-12-18 11:53:02 EST
See the description for net-snmp bug 1313667 for reproduction steps.  For Stratus,
we can merely run a breaker test, and I've confirmed that applying the patch for
this
net-snmp fix fixes the problem.
Comment 3 Andrius Benokraitis 2006-12-18 22:17:27 EST
Brandon, which bug? The bug number in Comment #2 is invalid.
Comment 5 RHEL Product and Program Management 2006-12-18 22:23:58 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 brandon chubb 2006-12-18 22:30:38 EST
The net-snmp bug 1313667 can be seen at sourceforge, the source for these
things, see the URL:

http://sourceforge.net/tracker/index.php?func=detail&aid=1313667&group_id=12694&atid=112694
Comment 7 Andrius Benokraitis 2006-12-18 22:38:26 EST
Brandon, which version of net-snmp was this fix included?
Comment 8 brandon chubb 2006-12-18 22:53:02 EST
Created attachment 143977 [details]
CVS log for agent_trap.c
Comment 9 brandon chubb 2006-12-18 22:55:53 EST
Sorry, I did an attachment and it killed my message in progress.

The first big release the fix is in is 5.1.4, but the fix was applied to the
5.1.2 and 5.1.3 branches as well. I attached the CVS log of the file to this
bug.  You can just scan for the bug number.

The 5.8.2.9 version is the one that would be along the correct branch for this
older 5.1.2 release.

Comment 14 Red Hat Bugzilla 2007-05-01 13:33:07 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0183.html

Note You need to log in before you can comment on or make changes to this bug.